Doomsday Engine - Bug #1964

Problems with sprites with special chars [ /] (Doom Arch Vile disappears; Hexen crash when
Traductus dies)

2015-02-11 10:52 - vermil

Status: Closed Start date: 2015-02-11
Priority: High % Done: 100%
Assignee: danij

Category: Regression

Target version: 1.15

Description

Pretty much what the subject states; the Arch Vile disappears during resurrecting a bad guy, before appearing again after
resurrection.

When it goes to resurrect, the Arch Vile enters VILE_HEALT1.

Related issues:
Related to Bug #2253: [Doom] Arch-vile sprite disappears when resurrecting a ... New 2017-07-01

Associated revisions

Revision e0119736 - 2015-02-23 09:18 - skyjake

Debug|World: Avoid crash when analyzing alpha of a missing sprite texture

IssuelD #1964

Revision 04452f9d - 2015-02-23 09:21 - skyjake

Debug|World: Avoid crash when analyzing alpha of a missing sprite texture

IssuelD #1964

Revision 422aba10 - 2015-03-03 03:09 - danij

Fixed|MaterialTextureLayer|Resources: MaterialTextureLayer::AnimationStage() should not decode texture URIs

IssuelD #1964

History

#1 - 2015-02-11 11:11 - vermil
- Tags set to Multiplayer

#2 - 2015-02-11 15:17 - skyjake
- Tags changed from Multiplayer to Multiplayer, Doom2

#3 - 2015-02-11 15:17 - skyjake
- Tags changed from Multiplayer, Doom2 to Multiplayer, Doom

#4 - 2015-02-18 06:36 - sonicdoommario

| want to add onto this report and say that it happens during single player too, not just multiplayer. | saw it happen while running around levels in TNT
and Plutonia with the latest build.

#5 - 2015-02-18 06:54 - skyjake
- Tags changed from Multiplayer, Doom to Doom, Animation

- Subject changed from [Doom] Multiplayer Arch Vile disappears during resurrection to [Doom] Arch Vile disappears during resurrection
#6 - 2015-02-18 13:25 - vermil

The Arch Vile's resurrecting sprites uniquely use the special [,/ and ] characters. | believe Dday's support for these characters (in wad at least), has
been broken.
As a test | altered the Arch Vile's resurrecting states to use the first few sprites of the Imp (i.e A,B and C) and the Arch Vile no longer disappeared
when resurrecting.

#7 - 2015-02-18 13:26 - skyjake

- Subject changed from [Doom] Arch Vile disappears during resurrection to [Doom] Arch Vile disappears during resurrection (special chars [/ ])

#8 - 2015-02-18 13:45 - vermil

HeXen also uses sprites with these special characters, for both the last gib death state and the ice death state, of the Cleric.

When one gib's Traductus (Cleric Boss), Dday currently segfaults when it reaches the mentioned last frame. | haven't tried to freeze him, but |
assume the same crash will occur.

#9 - 2015-02-18 14:13 - skyjake

- Subject changed from [Doom] Arch Vile disappears during resurrection (special chars [/ ]) to Problems with sprites with special chars [/ ] (Doom
Arch Vile disappears; Hexen crash when Traductus dies)

- Category set to Regression

- Status changed from New to In Progress
- Assignee set to skyjake

- Priority changed from Normal to High

- Target version set to 49

#10 - 2015-02-18 14:13 - skyjake

- Tags changed from Doom, Animation to Doom, Animation, Sprites, Hexen

#11 - 2015-02-23 09:20 - skyjake

- File hex1.save added

#12 - 2015-02-23 09:24 - skyjake
- % Done changed from 0 to 20

#13 - 2015-02-23 09:25 - skyjake

I managed to find where the crash is occurring with Traductus (savegame attached). The associated commit 04452f9dc9e avoids the crash in the
release build, however does nothing to address why the sprites are not being found.

#14 - 2015-02-24 09:10 - skyjake

I've discovered that the reason why the sprites are missing is that findTextureForAnimationStage() fails with a MissingManifestError for URIs
"Sprites:CLER[0" and "Sprites:CLER\0". This is likely due to a missing decode/encode of percent encoded URIs (somewhere).

#15 - 2015-02-24 09:52 - skyjake

danij wrote:

I'm guessing the problem lies in the sprite Texture generation in ResourceSystem. The name should be encoded when inserting these into the
PathTree.

#16 - 2015-02-24 09:52 - skyjake
- Assignee changed from skyjake to danij

- % Done changed from 20 to 50

#17 - 2015-02-24 09:53 - skyjake

- Target version changed from 49 to 1.15

#18 - 2015-03-03 03:14 - danij
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

#19 - 2017-07-01 09:01 - skyjake
https://tracker.dengine.net/projects/deng/repository/revisions/04452f9dc9e6d0c4f00ffa0d77916d282f0996af

- Related to Bug #2253: [Doom] Arch-vile sprite disappears when resurrecting a monster added

Files

hex1.save 20.1 KB 2015-02-23 skyjake
